# Avoid multiple calls to find_package to append duplicated properties to the targets
include_guard()########### VARIABLES #######################################################################
#############################################################################################
set(libalsa_FRAMEWORKS_FOUND_DEBUG "") # Will be filled later
conan_find_apple_frameworks(libalsa_FRAMEWORKS_FOUND_DEBUG "${libalsa_FRAMEWORKS_DEBUG}" "${libalsa_FRAMEWORK_DIRS_DEBUG}")

set(libalsa_LIBRARIES_TARGETS "") # Will be filled later


######## Create an interface target to contain all the dependencies (frameworks, system and conan deps)
if(NOT TARGET libalsa_DEPS_TARGET)
    add_library(libalsa_DEPS_TARGET INTERFACE IMPORTED)
endif()

set_property(TARGET libalsa_DEPS_TARGET
             APPEND PROPERTY INTERFACE_LINK_LIBRARIES
             $<$<CONFIG:Debug>:${libalsa_FRAMEWORKS_FOUND_DEBUG}>
             $<$<CONFIG:Debug>:${libalsa_SYSTEM_LIBS_DEBUG}>
             $<$<CONFIG:Debug>:>)

####### Find the libraries declared in cpp_info.libs, create an IMPORTED target for each one and link the
####### libalsa_DEPS_TARGET to all of them
conan_package_library_targets("${libalsa_LIBS_DEBUG}"    # libraries
                              "${libalsa_LIB_DIRS_DEBUG}" # package_libdir
                              "${libalsa_BIN_DIRS_DEBUG}" # package_bindir
                              "${libalsa_LIBRARY_TYPE_DEBUG}"
                              "${libalsa_IS_HOST_WINDOWS_DEBUG}"
                              libalsa_DEPS_TARGET
                              libalsa_LIBRARIES_TARGETS  # out_libraries_targets
                              "_DEBUG"
                              "libalsa"    # package_name
                              "${libalsa_NO_SONAME_MODE_DEBUG}")  # soname

# FIXME: What is the result of this for multi-config? All configs adding themselves to path?
set(CMAKE_MODULE_PATH ${libalsa_BUILD_DIRS_DEBUG} ${CMAKE_MODULE_PATH})

########## GLOBAL TARGET PROPERTIES Debug ########################################
    set_property(TARGET ALSA::ALSA
                 APPEND PROPERTY INTERFACE_LINK_LIBRARIES
                 $<$<CONFIG:Debug>:${libalsa_OBJECTS_DEBUG}>
                 $<$<CONFIG:Debug>:${libalsa_LIBRARIES_TARGETS}>
                 )

    if("${libalsa_LIBS_DEBUG}" STREQUAL "")
        # If the package is not declaring any "cpp_info.libs" the package deps, system libs,
        # frameworks etc are not linked to the imported targets and we need to do it to the
        # global target
        set_property(TARGET ALSA::ALSA
                     APPEND PROPERTY INTERFACE_LINK_LIBRARIES
                     libalsa_DEPS_TARGET)
    endif()

    set_property(TARGET ALSA::ALSA
                 APPEND PROPERTY INTERFACE_LINK_OPTIONS
                 $<$<CONFIG:Debug>:${libalsa_LINKER_FLAGS_DEBUG}>)
    set_property(TARGET ALSA::ALSA
                 APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES
                 $<$<CONFIG:Debug>:${libalsa_INCLUDE_DIRS_DEBUG}>)
    # Necessary to find LINK shared libraries in Linux
    set_property(TARGET ALSA::ALSA
                 APPEND PROPERTY INTERFACE_LINK_DIRECTORIES
                 $<$<CONFIG:Debug>:${libalsa_LIB_DIRS_DEBUG}>)
    set_property(TARGET ALSA::ALSA
                 APPEND PROPERTY INTERFACE_COMPILE_DEFINITIONS
                 $<$<CONFIG:Debug>:${libalsa_COMPILE_DEFINITIONS_DEBUG}>)
    set_property(TARGET ALSA::ALSA
                 APPEND PROPERTY INTERFACE_COMPILE_OPTIONS
                 $<$<CONFIG:Debug>:${libalsa_COMPILE_OPTIONS_DEBUG}>)

########## For the modules (FindXXX)
set(libalsa_LIBRARIES_DEBUG ALSA::ALSA)
