# Load the debug and release variables
file(GLOB DATA_FILES "${CMAKE_CURRENT_LIST_DIR}/doctest-*-data.cmake")

foreach(f ${DATA_FILES})
    include(${f})
endforeach()

# Create the targets for all the components
foreach(_COMPONENT ${doctest_COMPONENT_NAMES} )
    if(NOT TARGET ${_COMPONENT})
        add_library(${_COMPONENT} INTERFACE IMPORTED)
        message(${doctest_MESSAGE_MODE} "Conan: Component target declared '${_COMPONENT}'")
    endif()
endforeach()

if(NOT TARGET doctest::doctest)
    add_library(doctest::doctest INTERFACE IMPORTED)
    message(${doctest_MESSAGE_MODE} "Conan: Target declared 'doctest::doctest'")
endif()
# Load the debug and release library finders
file(GLOB CONFIG_FILES "${CMAKE_CURRENT_LIST_DIR}/doctest-Target-*.cmake")

foreach(f ${CONFIG_FILES})
    include(${f})
endforeach()